Subject: [bug#77785] [PATCH] gnu: cura: prevent importing outside of store

From: Nicolas Graves <[email-masked]>
Date: Sun, 13 Apr 2025 21:34:38 +0200

On 2025-04-13 18:29, Jakob Kirsch via Guix-patches via wrote:

> I've recently tried to run cura but it kept crashing because it couldn't find shared libraries.
> As it turns out, python adds directories in the home directory to the search path and a pyqt5 installed by pip managed to be loaded, which obviously won't work.
> This patch addresses this by adding a small snippet of code to the top of bin/cura that clears out all paths from sys.path that don't start with /gnu.
> From f49e1297a0be295a7d47ebf33fe3e27ceecefefa Mon Sep 17 00:00:00 2001
> Message-ID: <f49e[email-masked]>
> From: Jakob Kirsch <[email-masked]>
> Date: Sun, 13 Apr 2025 18:25:20 +0200
> Subject: [PATCH] gnu: cura: prevent importing outside of store

Hey, TY Jakob for working on that.

I'm in the process of trying to get Cura to build on the next
python-team branch (for the sake of python-team, I don't use Cura).

I'll apply the patch there and test with it.  Could I ping you to review
if the package works as expected once I'm done making the build pass on
python-team? 

-- 
Best regards,
Nicolas Graves